# List all check lockboxes

**GET** `/transfers/checks/lockboxes`

Retrieve all check lockboxes under your platform.

### Query Parameters

- `bank_account_id` `string` — Return results associated with this bank account.
- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/transfers/checks/lockboxes' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "lockboxes": [
    {
      "id": "lbox_3VqZkz3FNgKx24u8FQeGMB1L4mU",
      "bank_account_id": "bacc_3VqZl1eEeP2cRXib4BLHfNCoGb7",
      "account_number_id": "acno_3VqZl7yJSJXOQp5X4qiPOusL6ga",
      "idempotency_key": "create-lockbox-2026-06-08",
      "status": "active",
      "processing_center": "TX",
      "description": "Operations lockbox",
      "address": {
        "line_1": "169 Madison Ave",
        "line_2": "#94747",
        "city": "New York",
        "state": "NY",
        "postal_code": "10016",
        "country_code": "US"
      },
      "type": "cmra",
      "created_at": "2026-06-08T17:14:02Z",
      "updated_at": "2026-06-08T17:14:02Z"
    }
  ],
  "has_more": false
}
```
